<testsuites>
  <!--Report is generated by Rally 3.0.0 at 2021-02-09T09:34:57.853372-->
  <testsuite errors="0" failures="0" id="f33fc7bb-22b0-421e-b448-83cce84ce32c" skipped="0" tests="6" time="30.00" timestamp="2021-02-09T09:18:22">
    <testcase classname="Authenticate" id="0e1832ef-87cf-4a17-acf1-a5c7b2950eb3" name="keystone" time="2.80" timestamp="2021-02-09T09:18:26" />
    <testcase classname="Authenticate" id="6fb61bee-ef7f-4745-af4a-fd8891d86f89" name="validate_cinder" time="3.41" timestamp="2021-02-09T09:18:30" />
    <testcase classname="Authenticate" id="74049e33-e13b-4604-a4c5-db995f709666" name="validate_glance" time="2.96" timestamp="2021-02-09T09:18:34" />
    <testcase classname="Authenticate" id="906bba8d-3014-4cc4-9d03-d8c1062f5152" name="validate_heat" time="2.97" timestamp="2021-02-09T09:18:38" />
    <testcase classname="Authenticate" id="d5fe0811-4310-4013-8040-03a29f95026b" name="validate_neutron" time="4.32" timestamp="2021-02-09T09:18:42" />
    <testcase classname="Authenticate" id="ca97d4f0-7936-4ac3-9d2d-966d075476a3" name="validate_nova" time="3.48" timestamp="2021-02-09T09:18:48" />
  </testsuite>
  <testsuite errors="0" failures="0" id="bddbd2e4-b20a-40aa-8605-178703bcead3" skipped="0" tests="4" time="57.00" timestamp="2021-02-09T09:19:03">
    <testcase classname="GlanceImages" id="26d41d30-33d0-4a06-8a93-febc40f01ff5" name="create_and_delete_image" time="6.94" timestamp="2021-02-09T09:19:07" />
    <testcase classname="GlanceImages" id="e1b8eb83-a859-41fd-8af5-9ec85f3f3e00" name="create_and_list_image" time="7.66" timestamp="2021-02-09T09:19:16" />
    <testcase classname="GlanceImages" id="70e6f2ff-b696-491e-8fd9-7e2c587ec94b" name="list_images" time="3.10" timestamp="2021-02-09T09:19:24" />
    <testcase classname="GlanceImages" id="2c7854cd-4f6f-4153-a61f-a97d4a6464c1" name="create_image_and_boot_instances" time="30.54" timestamp="2021-02-09T09:19:28" />
  </testsuite>
  <testsuite errors="0" failures="0" id="aa37bab1-9d4b-4a6e-ad26-81641f570b90" skipped="0" tests="10" time="110.00" timestamp="2021-02-09T09:20:11">
    <testcase classname="CinderVolumes" id="b5150b80-6119-4415-8130-dac733021882" name="create_and_delete_snapshot" time="14.76" timestamp="2021-02-09T09:20:17" />
    <testcase classname="CinderVolumes" id="cf3bc761-914c-4c9d-a589-b7c64268b84f" name="create_and_delete_volume" time="8.98" timestamp="2021-02-09T09:20:33" />
    <testcase classname="CinderVolumes" id="7a026ec6-b695-48da-afe7-2bbda4bc8490" name="create_and_delete_volume" time="13.71" timestamp="2021-02-09T09:20:43" />
    <testcase classname="CinderVolumes" id="0e0988bf-6d34-48ab-8abc-56ea74b93966" name="create_and_delete_volume" time="8.92" timestamp="2021-02-09T09:20:57" />
    <testcase classname="CinderVolumes" id="488d55e9-f70f-46ba-90fc-e3a2b655d4ff" name="create_and_extend_volume" time="11.32" timestamp="2021-02-09T09:21:08" />
    <testcase classname="CinderVolumes" id="5045c1f7-40e2-4f26-a36b-1699de6231ab" name="create_from_volume_and_delete_volume" time="13.88" timestamp="2021-02-09T09:21:20" />
    <testcase classname="CinderQos" id="d2d6ae04-728d-48ac-8dc4-92c3474bcf1a" name="create_and_list_qos" time="5.33" timestamp="2021-02-09T09:21:34" />
    <testcase classname="CinderQos" id="c8aa9cf7-bce4-4a50-a933-d49a9b151bc2" name="create_and_set_qos" time="6.32" timestamp="2021-02-09T09:21:40" />
    <testcase classname="CinderVolumeTypes" id="a26effbe-96ba-4beb-acb3-ce4c196132e4" name="create_and_list_volume_types" time="5.78" timestamp="2021-02-09T09:21:48" />
    <testcase classname="CinderVolumeTypes" id="c6d0f73e-3f6b-4a6d-b69b-f58640e761e9" name="create_volume_type_and_encryption_type" time="5.87" timestamp="2021-02-09T09:21:54" />
  </testsuite>
  <testsuite errors="0" failures="0" id="dfd25cba-f611-4fb1-872f-3c538f4fc29c" skipped="0" tests="4" time="46.00" timestamp="2021-02-09T09:22:12">
    <testcase classname="HeatStacks" id="aabab96f-bf11-4c1d-a823-90e015a37969" name="create_update_delete_stack" time="11.26" timestamp="2021-02-09T09:22:19" />
    <testcase classname="HeatStacks" id="a622f432-d8e9-46f1-bbbe-de23df697520" name="create_check_delete_stack" time="8.94" timestamp="2021-02-09T09:22:31" />
    <testcase classname="HeatStacks" id="c7b89132-101a-48b5-9b7c-d6c4a526b0d0" name="create_suspend_resume_delete_stack" time="11.84" timestamp="2021-02-09T09:22:42" />
    <testcase classname="HeatStacks" id="29dd0b6d-c22d-4310-b8d0-9d3433e93da8" name="list_stacks_and_resources" time="4.02" timestamp="2021-02-09T09:22:54" />
  </testsuite>
  <testsuite errors="0" failures="0" id="df28b252-3766-427e-ac1a-94228130e6c1" skipped="0" tests="11" time="95.00" timestamp="2021-02-09T09:23:09">
    <testcase classname="KeystoneBasic" id="c71ddb92-dc8f-4c7a-a23b-ff445ddc5c10" name="add_and_remove_user_role" time="7.89" timestamp="2021-02-09T09:23:14" />
    <testcase classname="KeystoneBasic" id="eda7b654-8223-492a-ba7e-f9288554d147" name="create_add_and_list_user_roles" time="6.32" timestamp="2021-02-09T09:23:22" />
    <testcase classname="KeystoneBasic" id="cebd5175-24e8-41c1-989a-735671e55bfb" name="create_and_list_tenants" time="6.38" timestamp="2021-02-09T09:23:30" />
    <testcase classname="KeystoneBasic" id="cea59ddc-e86b-44d6-9146-a268cabec02f" name="create_and_delete_role" time="4.25" timestamp="2021-02-09T09:23:38" />
    <testcase classname="KeystoneBasic" id="d8e2e1bf-3cc0-4fd1-a50e-363ff294a2e0" name="create_and_delete_service" time="4.16" timestamp="2021-02-09T09:23:44" />
    <testcase classname="KeystoneBasic" id="1383a5b7-fd00-4cfe-98fb-6b6bbc875b44" name="get_entities" time="9.52" timestamp="2021-02-09T09:23:50" />
    <testcase classname="KeystoneBasic" id="74c2573f-0ea5-4560-a9a3-ccbf046c0f26" name="create_update_and_delete_tenant" time="4.91" timestamp="2021-02-09T09:24:01" />
    <testcase classname="KeystoneBasic" id="9b00e56d-d910-46d0-8aab-7ca398092905" name="create_user" time="6.76" timestamp="2021-02-09T09:24:07" />
    <testcase classname="KeystoneBasic" id="2b89d47e-7732-43fc-a628-f695fc4e8896" name="create_tenant" time="5.83" timestamp="2021-02-09T09:24:15" />
    <testcase classname="KeystoneBasic" id="b2f1249c-2270-4517-a391-f94c5af9e2d6" name="create_and_list_users" time="6.94" timestamp="2021-02-09T09:24:21" />
    <testcase classname="KeystoneBasic" id="8d2ff657-1d1a-4d78-9287-796c684fdda0" name="create_tenant_with_users" time="12.28" timestamp="2021-02-09T09:24:30" />
  </testsuite>
  <testsuite errors="0" failures="0" id="8cdd2658-277d-42df-916b-e785a67fe8a7" skipped="0" tests="11" time="146.00" timestamp="2021-02-09T09:24:55">
    <testcase classname="NeutronNetworks" id="4b3c3e7c-a0a9-46b7-96b7-b0e194b446d7" name="create_and_delete_networks" time="7.55" timestamp="2021-02-09T09:24:59" />
    <testcase classname="NeutronNetworks" id="67eb8a5b-08c5-4c42-ac4e-4ea67d9cc5c4" name="create_and_delete_ports" time="10.79" timestamp="2021-02-09T09:25:07" />
    <testcase classname="NeutronNetworks" id="6af05293-f596-4b85-b89b-4e85a476a4e7" name="create_and_delete_routers" time="19.58" timestamp="2021-02-09T09:25:19" />
    <testcase classname="NeutronNetworks" id="839d4ebe-76fe-48d9-b153-4dd081e782f1" name="create_and_delete_subnets" time="10.96" timestamp="2021-02-09T09:25:39" />
    <testcase classname="NeutronNetworks" id="86ddc9dd-a1de-4426-ace1-fdb6467dec61" name="create_and_list_networks" time="7.07" timestamp="2021-02-09T09:25:52" />
    <testcase classname="NeutronNetworks" id="b061136d-2ce7-42c6-bd65-cda98d911087" name="create_and_list_ports" time="11.93" timestamp="2021-02-09T09:26:00" />
    <testcase classname="NeutronNetworks" id="d1197b02-bc40-40b4-b1ae-90463a479ee3" name="create_and_list_routers" time="18.88" timestamp="2021-02-09T09:26:12" />
    <testcase classname="NeutronNetworks" id="b9be9c36-6233-4466-a295-4a65e51e9b77" name="create_and_list_subnets" time="10.71" timestamp="2021-02-09T09:26:32" />
    <testcase classname="NeutronSecurityGroup" id="65c16cb7-dc68-41b7-b891-ba9e45969a45" name="create_and_delete_security_groups" time="7.07" timestamp="2021-02-09T09:26:44" />
    <testcase classname="NeutronSecurityGroup" id="209fdf68-a88b-4bd9-a03a-31f1650127f5" name="create_and_delete_security_group_rule" time="8.31" timestamp="2021-02-09T09:26:52" />
    <testcase classname="NeutronNetworks" id="52fbca3b-8d97-45b5-b00a-c3fe6e71933d" name="set_and_clear_router_gateway" time="16.41" timestamp="2021-02-09T09:27:03" />
  </testsuite>
  <testsuite errors="0" failures="0" id="51fc9cbb-de9b-4464-a57f-834f4a07e5bc" skipped="0" tests="10" time="341.00" timestamp="2021-02-09T09:27:33">
    <testcase classname="NovaServers" id="004db36f-efc8-4ce9-bb29-9a01abd1f91f" name="boot_and_live_migrate_server" time="32.44" timestamp="2021-02-09T09:27:43" />
    <testcase classname="NovaServers" id="1c92cacf-4fd2-49b2-a822-33d7382a9949" name="boot_server_attach_created_volume_and_live_migrate" time="44.67" timestamp="2021-02-09T09:28:18" />
    <testcase classname="NovaServers" id="6904db22-4209-40dd-b7d4-8ba99c997d21" name="boot_server_from_volume_and_live_migrate" time="38.47" timestamp="2021-02-09T09:29:04" />
    <testcase classname="NovaKeypair" id="2f1e8301-1a17-462f-8149-4a1d0ac35abe" name="boot_and_delete_server_with_keypair" time="21.43" timestamp="2021-02-09T09:29:44" />
    <testcase classname="NovaServers" id="9ae4b1de-b0c2-4d5b-b476-d43e0f104ec4" name="boot_server_from_volume_and_delete" time="24.53" timestamp="2021-02-09T09:30:07" />
    <testcase classname="NovaServers" id="ee7519e2-ca76-438b-a1bb-5f6f7566ce18" name="pause_and_unpause_server" time="25.45" timestamp="2021-02-09T09:30:33" />
    <testcase classname="NovaServers" id="565bdd80-c216-440f-ad1c-1269ad606329" name="boot_and_migrate_server" time="33.39" timestamp="2021-02-09T09:30:59" />
    <testcase classname="NovaServers" id="86ca227e-214c-4b96-b2d9-1a21eb034108" name="boot_server_and_list_interfaces" time="35.35" timestamp="2021-02-09T09:31:33" />
    <testcase classname="NovaServers" id="c0ec199a-8bca-4ddd-8026-4922e7bd071a" name="boot_server_associate_and_dissociate_floating_ip" time="58.61" timestamp="2021-02-09T09:32:10" />
    <testcase classname="NovaServerGroups" id="1d1ff001-06b7-443d-ab27-a042a1a8138d" name="create_and_delete_server_group" time="3.54" timestamp="2021-02-09T09:33:10" />
  </testsuite>
  <testsuite errors="0" failures="0" id="6d88de51-90c4-4f9b-8336-d2fba20b885d" skipped="0" tests="4" time="21.00" timestamp="2021-02-09T09:33:26">
    <testcase classname="Quotas" id="3993b80c-5890-4ad5-9741-b32261e2e211" name="cinder_update_and_delete" time="3.40" timestamp="2021-02-09T09:33:30" />
    <testcase classname="Quotas" id="6d0550a7-39c9-4fbb-a4b3-7a8bb5124b86" name="cinder_update" time="3.61" timestamp="2021-02-09T09:33:35" />
    <testcase classname="Quotas" id="e5af3f38-ab4a-4b68-b992-a3541bcad961" name="neutron_update" time="3.73" timestamp="2021-02-09T09:33:39" />
    <testcase classname="Quotas" id="963741e2-c048-4dd8-b0b4-00741558556d" name="nova_update" time="3.78" timestamp="2021-02-09T09:33:43" />
  </testsuite>
  <testsuite errors="0" failures="0" id="a34158c3-6c93-46ed-9441-d057203c5054" skipped="0" tests="5" time="42.00" timestamp="2021-02-09T09:33:59">
    <testcase classname="SwiftObjects" id="7289e52b-6217-4cdf-a8fa-7ceb2768dc5a" name="create_container_and_object_then_list_objects" time="8.21" timestamp="2021-02-09T09:34:04" />
    <testcase classname="SwiftObjects" id="688b4a16-661a-4133-b977-495c02b52756" name="list_objects_in_containers" time="5.46" timestamp="2021-02-09T09:34:14" />
    <testcase classname="SwiftObjects" id="503022ec-ffcb-4eea-a279-d4785e1fe9d6" name="create_container_and_object_then_download_object" time="7.70" timestamp="2021-02-09T09:34:20" />
    <testcase classname="SwiftObjects" id="0ba34fd5-5e19-460d-b6c2-bd4c3e4c9108" name="create_container_and_object_then_delete_all" time="4.59" timestamp="2021-02-09T09:34:28" />
    <testcase classname="SwiftObjects" id="cfa436f7-c1f6-4e8a-aa02-e62f9dadf51d" name="list_and_download_objects_in_containers" time="5.05" timestamp="2021-02-09T09:34:35" />
  </testsuite>
</testsuites>
